'''
This code is part of NightmareTyrant; Copyright (C) 2013 Piotr 'ZasVid' Sikora; see NightmareTyrant.py for full notice.
'''

import libtcodpy as _

_special_keys = {
    _.KEY_ESCAPE :      'escape',
    _.KEY_BACKSPACE :   'backspace',
    _.KEY_TAB :         'tab',
    _.KEY_ENTER :       'enter',
    _.KEY_PAUSE :       'pause',
    _.KEY_CAPSLOCK :    'caps lock',
    _.KEY_PRINTSCREEN : 'print screen',
    _.KEY_PAGEUP :      'page up',
    _.KEY_PAGEDOWN :    'page down',
    _.KEY_END :         'end',
    _.KEY_HOME :        'home',
    _.KEY_INSERT :      'insert',
    _.KEY_DELETE :      'delete', 
    _.KEY_UP :          'up',
    _.KEY_LEFT :        'left', 
    _.KEY_RIGHT :       'right', 
    _.KEY_DOWN :        'down',
    _.KEY_LWIN :        'left windows', 
    _.KEY_RWIN :        'right windows', 
    _.KEY_APPS :        'apps',
    _.KEY_0 : '0',
    _.KEY_1 : '1', 
    _.KEY_2 : '2', 
    _.KEY_3 : '3', 
    _.KEY_4 : '4', 
    _.KEY_5 : '5', 
    _.KEY_6 : '6',
    _.KEY_7 : '7', 
    _.KEY_8 : '8', 
    _.KEY_9 : '9',
    _.KEY_KP0 :     'keypad 0', 
    _.KEY_KP1 :     'keypad 1', 
    _.KEY_KP2 :     'keypad 2', 
    _.KEY_KP3 :     'keypad 3', 
    _.KEY_KP4 :     'keypad 4', 
    _.KEY_KP5 :     'keypad 5', 
    _.KEY_KP6 :     'keypad 6', 
    _.KEY_KP7 :     'keypad 7', 
    _.KEY_KP8 :     'keypad 8', 
    _.KEY_KP9 :     'keypad 9',
    _.KEY_KPADD :   'keypad +', 
    _.KEY_KPSUB :   'keypad -', 
    _.KEY_KPDIV :   'keypad /', 
    _.KEY_KPMUL :   'keypad *', 
    _.KEY_KPDEC :   'keypad .', 
    _.KEY_KPENTER : 'keypad enter',
    _.KEY_F1 :  'F1', 
    _.KEY_F2 :  'F2', 
    _.KEY_F3 :  'F3', 
    _.KEY_F4 :  'F4', 
    _.KEY_F5 :  'F5', 
    _.KEY_F6 :  'F6', 
    _.KEY_F7 :  'F7',
    _.KEY_F8 :  'F8', 
    _.KEY_F9 :  'F9', 
    _.KEY_F10 : 'F10', 
    _.KEY_F11 : 'F11', 
    _.KEY_F12 : 'F12',
    _.KEY_NUMLOCK :     'num lock', 
    _.KEY_SCROLLLOCK :  'scroll lock', 
    _.KEY_SPACE :       'space', 
    _.KEY_NONE :        None
}
