'''
This code is part of NightmareTyrant; Copyright (C) 2013 Piotr 'ZasVid' Sikora; see NightmareTyrant.py for full notice.
'''

from os import sep
import ConfigParser

ASSET_DIR = 'assets'
parser = ConfigParser.ConfigParser()
parser.read('nmtyrant.cfg')
FONT = ASSET_DIR + sep + parser.get('main','font')
SCREEN_WIDTH = parser.getint('screen','width')
SCREEN_HEIGHT = parser.getint('screen','height')


SCREEN_TITLE = 'Nightmare Tyrant'
IMAGE_COSCOM = ASSET_DIR+sep+'nightmare.png'
IMAGE_RAVEN = ASSET_DIR+sep+'tyrant.png'

DEBUG_NO_FOG = True

INFO_WIDTH = 50

MSG_BOX_WIDTH = 50


LIMIT_FPS = 10

GAME_ACTION_TIMEOUT = LIMIT_FPS

#sizes and coordinates relevant for the GUI
BAR_WIDTH = 26
HUD_WIDTH = BAR_WIDTH + 4
HUD_HEIGHT = SCREEN_HEIGHT
HUD_Y = 0
HUD_X = SCREEN_WIDTH - HUD_WIDTH

MSG_X = HUD_X
MSG_WIDTH = HUD_WIDTH - 2

#TODO: allow the board to be displayed not in the upper left corner
#CAMERA_X = 0
#CAMERA_Y = 0
CAMERA_WIDTH = SCREEN_WIDTH - HUD_WIDTH
CAMERA_HEIGHT = SCREEN_HEIGHT

FOV_ALGO = 0  #default FOV algorithm
FOV_LIGHT_WALLS = True


